Method: advertisers.reachForecast.retrievePlannableUserLists

Retrieves first and third party user lists available for forecasting.

HTTP request

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserLists

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser to retrieve plannable user lists for.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Must be between 1 and 5000. If unspecified will default to 5000.

pageToken

string

Optional. A token identifying a page of results the server should return. Typically, this is the value of nextPageToken returned from the previous call to reachForecast.retrievePlannableUserLists method. If not specified, the first page of results will be returned.

filter

string

Optional. Allows filtering by plannable user list properties.

Supported syntax:

  • Filter expressions are made up of one or more restrictions.
  • Restrictions can be combined by AND or OR logical operators.
  • A restriction has the form of {field} {operator} {value}.
  • The displayName field must use the HAS (:) operator.
  • All other fields must use the EQUALS (=) operator.

Supported fields:

  • plannableStatus
  • displayName
  • userListType
  • name

Examples:

  • All plannable user lists: plannableStatus="PLANNABLE"
  • Plannable user lists with display name containing "Shopping": plannableStatus="PLANNABLE" AND displayName:"Shopping"
  • First party user lists: userListType="FIRST_PARTY"

The length of this field should be no more than 500 characters.

Reference our filter LIST requests guide for more information.

Request body

The request body must be empty.

Response body

Response for reachForecast.retrievePlannableUserLists.

If successful, the response body contains data with the following structure:

JSON representation
{
  "plannableUserLists": [
    {
      object (PlannableUserList)
    }
  ],
  "nextPageToken": string
}
Fields
plannableUserLists[]

object (PlannableUserList)

Output only. The list of plannable user lists.

nextPageToken

string

Output only. A token to retrieve the next page of results.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.

PlannableUserList

A plannable user list used for reach forecasting.

JSON representation
{
  "displayName": string,
  "userListType": enum (UserListType),
  "name": string,
  "plannableStatus": enum (PlannableStatus)
}
Fields
displayName

string

Output only. The display name of the user list.

userListType

enum (UserListType)

Output only. The type of the user list.

name

string

Output only. The resource name identifying the user list.

Format: advertisers/{advertiserId}/userLists/{user_list_id}

plannableStatus

enum (PlannableStatus)

Output only. The plannability status of the user list.

UserListType

Types of user lists.

Enums
USER_LIST_TYPE_UNSPECIFIED Unspecified user list type.
FIRST_PARTY A first-party user list.
THIRD_PARTY A third-party user list.

PlannableStatus

Status indicating if a list is plannable or not.

Enums
PLANNABLE_STATUS_UNSPECIFIED Unspecified plannability status.
PLANNABLE The user list is plannable.
UNPLANNABLE The user list is unplannable.